<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}On-line Shop{% endblock %}</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">

    <!-- Facebook Pixel Code -->
    <script>
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
        n.queue=[];t=b.createElement(e);t.async=!0;
        t.src=v;s=b.getElementsByTagName(e)[0];
        s.parentNode.insertBefore(t,s)}(window, document,'script',
        'https://connect.facebook.net/en_US/fbevents.js');

        // Line to enable Manual Only mode.
        // not to send button click and page metadata
        // fbq('set', 'autoConfig', false, '707437056286644'); 

        fbq('init', '707437056286644');
        fbq('track', 'PageView');

        // Delay pixel fire by 3 seconds
        var seconds = 3;
        setTimeout(function() {
            fbq('track', 'Lead');
        }, seconds * 1000);


        // function onclick(){
        //     fbq('track', 'Purchase');
        // };

        
    </script>
    <noscript><img height="1" width="1" style="display:none"
        src="https://www.facebook.com/tr?id=982559785268713&ev=PageView&noscript=1"
    /></noscript>
    <!-- End Facebook Pixel Code -->
  

</head>
<body>
{% include 'shop/navbar.html' %}

<div class="container">
    <div class="row" style="margin-top: 6%">
         <button class="btn btn-info pull-right">
            {% with totail_items=cart|length %}
                {% if cart|length > 0 %}
                    My Shopping Order:
                    <a href="{% url "cart:cart_detail" %}" style="color: #ffffff">
                        {{ totail_items }} item' {{ totail_items|pluralize }}, Tk. {{ cart.get_total_price }}
                    </a>
                    {% else %}
                    Your cart is empty.
                {% endif %}
            {% endwith %}
         </button>


         <form method="GET" action="">
         <input type="text" name="q" placeholder="search cars" value="{{ request.GET.q }}">
         <input type="submit" value="Search" onclick="searchButton()">
         </form>
         <script>
                function searchButton(){
                    fbq('track', 'Search');
                };
         </script>
                 

         <!-- ---------------------------------------------------------- -->

         <!-- <a href="https://www.google.com" onclick="onClick()">click here</a>

         <script>
            function onClick(){
                fbq('track', 'Purchase');
            };
         </script> -->
                  
        <!-- My Pixel Code -->
         <!-- <button id="addToCartButton">Purchase</button>
         <script type="text/javascript">
            $( '#$addToCartButton' ).click(function() {
                //fbq('track', 'Purchase');
                console.log('working')
                })
         </script> -->

         <!-- -------------------------------------------------------------------- -->

    </div>
</div>
{% block content %}


{% endblock %}

<script src="{% static 'js/jquery.min.js' %}" type="text/javascript"></script>
<script src="{% static 'js/bootstrap.min.js' %}" type="text/javascript"></script>
</body>
</html>